/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cd.hologram.erecettesvg.sql;

/**
 *
 * @author bonheur.muntasomo
 */
public class SQLQueryGeneral {

    public static String LIST_SITES_BANQUE = "SELECT SB.ID, SB.SITE, SB.BANQUE FROM "
            + " T_SITE_BANQUE SB WHERE SB.SITE = ?1 AND SB.ETAT = 1";

    public static String GET_BANQUE = "SELECT * FROM T_BANQUE WHERE CODE  = ?1";

    public static String GET_SITE = "SELECT * FROM T_SITE WITH (READPAST) WHERE CODE = ?1";

    public static String GET_SITE_BANQUE = "SELECT * FROM T_SITE_BANQUE WITH (READPAST) WHERE SITE  = ?1 AND ETAT = 1";

    public static String LIST_SITES = "SELECT * FROM T_SITE WITH (READPAST) WHERE ETAT = 1 AND CODE <> '*' Order by intitule";
    
    public static String LIST_FONCTION = "SELECT * FROM T_FONCTION WITH (READPAST) WHERE ETAT = 1";

    public static String GET_BORDEREAU_BY_DECLARATION = "SELECT B.* FROM T_BORDEREAU B WITH (READPAST) WHERE B.NUMERO_DECLARATION = ?1";

    public static String LIST_SERVICES = "SELECT * FROM T_SERVICE WHERE ETAT = 1 AND SERVICE IS NOT NULL AND CODE <> '*' Order by intitule";

    public static String SERVICE_BY_CODE_SELECT = "SELECT * FROM T_SERVICE WHERE CODE = ?1";

    public static String SITE_BY_CODE_SELECT = "SELECT * FROM T_SITE WHERE CODE = ?1";
    public static String SELECT_SITE_PEAGE = "SELECT * FROM T_SITE WHERE CODE = ?1 AND PEAGE = 1 AND ETAT = 1";

    public static String ADRESS_BY_CODE_SELECT = "SELECT * FROM T_ADRESSE WHERE ID "
            + " IN (SELECT ADRESSE FROM T_ADRESSE_PERSONNE WHERE CODE = ?1)";

    public static String LETTER_OF_NUMBER = "SELECT dbo.NombreEnLettres(%s)";

    public static String SELECT_TAUX = "SELECT * FROM T_TAUX WITH (READPAST) ORDER BY ID";

    public static String EXEC_F_NEW_SUIVI_DECLARATION = ":EXEC F_NEW_SUIVI_DECLARATION ?1,?2,?3,?4,?5,?6,?7 ";

    public static String EXEC_F_NEW_ARCHIVE_WEB = ":EXEC F_NEW_ARCHIVE_WEB ?1,?2,?3,?4,?5,?6";

    public static String SELECT_ENTITES_ADMINISTRATIVE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE  "
            + " WITH(READPAST) WHERE ETAT = 1";

    public static String EXEC_F_NEW_EA = "EXEC F_NEW_EA ?1,?2,?3,?4";

    public static String SELECT_LIST_TYPE_DOCUMENT_UPLOADING = "SELECT CODE, INTITULE FROM T_TYPE_DOCUMENT "
            + " WITH (READPAST) WHERE ETAT = 1 ORDER BY INTITULE";

    public static String SELECT_FERIE = "SELECT * FROM T_JOUR_FERIE WITH (READPAST) WHERE EST_ACTIF = 1 ORDER BY ID";

    public static String GET_AGENT = "SELECT * FROM T_AGENT  WITH (READPAST) WHERE CODE  = ?1";
    
    public static String GET_AGENT_BY_PERSONNE = "SELECT * FROM T_AGENT  WITH (READPAST) WHERE PERSONNE  = ?1";

    public static String UPDATE_NOTE_PERCEPTION_DATE_ECHEANCE = ":EXEC F_NEW_ACCUSE_RECEPTION_NOTE_PERCEPTION ?1,?2,?3";

    public static String UPDATE_MED_DATE_ECHEANCE = ":UPDATE T_MED SET DATE_RECEPTION = ?1,DATE_ECHEANCE = ?2 WHERE ID = ?3";

    public static String UPDATE_BP_DATE_ECHEANCE = ":UPDATE T_BON_A_PAYER SET DATE_ECHEANCE = ?1 WHERE CODE = ?2";

    public static String UPDATE_AMR_DATE_ECHEANCE = ":UPDATE T_AMR SET DATE_RECEPTION_AMR = ?1,DATE_ECHEANCE = ?2 WHERE NUMERO = ?3";

    public static String UPDATE_CONTRAINTE_DATE_ECHEANCE = ":UPDATE T_CONTRAINTE SET DATE_RECEPTION = ?1,DATE_ECHEANCE = ?2 WHERE ID = ?3";

    public static String UPDATE_COMMANDEMENT_DATE_ECHEANCE = ":UPDATE T_COMMANDEMENT SET DATE_RECEPTION = ?1,DATE_ECHEANCE = ?2 WHERE ID = ?3";

    public static String SELECT_ARTICLE_BUDGETAIRE_BY_BANK = "SELECT * FROM T_BANQUE_AB BAB WITH (READPAST) WHERE BAB.FK_BANQUE = ?1 AND BAB.FK_AB = ?2 AND BAB.ETAT = 1";

    public static String SELECT_TYPE_DOCUMENT_BY_CODE = "SELECT CODE, INTITULE FROM T_TYPE_DOCUMENT WITH (READPAST) WHERE CODE = ?1 AND ETAT = 1 AND VISIBLE_UTILISATEUR = 1";

    public static String SELECT_TYPE_DOCUMENT_BY_CODE_V2 = "SELECT CODE, INTITULE FROM T_TYPE_DOCUMENT WITH (READPAST) WHERE CODE = ?1 AND ETAT = 1";
    
    public static String LISTE_PENALITE = "SELECT * FROM T_PENALITE WITH (READPAST) WHERE ETAT = 1";
    
    public static String SELECT_ENTITES_BY_MERE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE  WITH(READPAST) WHERE ETAT = 1 AND ENTITE_MERE = ?1  ORDER BY INTITULE";
    
    public static String SELECT_ENTITES_BY_CODE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE WITH (READPAST) WHERE ETAT = 1 AND CODE = ?1 ";
    
    public static String EXEC_F_NEW_EA_V2 = "F_NEW_EA";
    
     public static String UPDATE_UTILISATEUR_DIVISION = ":UPDATE T_UTILISATEUR_DIVISION SET FK_SITE = ?1, "
            + "FK_DIVISION = ?2, FK_PERSONNE = ?3, ETAT = ?4 WHERE CODE = ?5";
     
     public static String DESACTIVER_UTILISATEUR_DIVISION = ":UPDATE T_UTILISATEUR_DIVISION SET ETAT = 0 WHERE CODE = ?1";
     
     public static String F_NEW_UTILISATEUR_DIVISION = ":EXEC F_NEW_T_UTILISATEUR_DIVISION ?1,?2,?3,?4";
     
     public static String SAVE_TAUX_CHANGE = ":INSERT INTO T_TAUX(DEVISE,DEVISE_DEST,TAUX,AGENT_CREAT,DATE_CREAT) "
            + " VALUES (?1, ?2, ?3, ?4, GETDATE())";
     
      public static String UPDATE_TAUX_CHANGE = ":UPDATE T_TAUX SET DEVISE = ?1, "
            + "DEVISE_DEST = ?2, TAUX = ?3, AGENT_MAJ = ?4, DATE_MAJ = GETDATE() WHERE ID = ?5";
    
}
